Subject: Re: OSPF Adjacencies

From: Don Goodspeed <[email-masked]>
Date: Thu, 17 Oct 2002 22:10:20 -0400

Kerpal,

Not all adjacencies are "destroyed" in the same way.  Some
are deletions due to a lack of hello message over the dead
interval, or an lower-level interface goes down.

Some are transitions to the Init (or OneWay) state when a
hello packet with no neighbors is received from a previously
full adjacency.

Finally, some are resynch transitions due to a sequence
# mismatch, etc. where the state transitions back to
ExchangeStart.

All of these and more are covered in section 10.3 of RFC 2328.

-don

 --- On Thu 10/17, Kerpal.Abdar  wrote:
From: Kerpal.Abdar [mailto: [email-masked]]
To: [email-masked]
Date: Thu, 17 Oct 2002 21:17:52 -0400
Subject: Re: OSPF Adjacencies

> Gotcha.  After I had sent the question, I found the section in the RFC
> that
> speaks about this (page 88).  However, I was unable to find where it
> states
> that if ack is not received, retransmission will re-occur until adj is
> destroyed by Hello.  Could you point me to this?
>
> In addition, does the "lack of not receiving an ack and
> retransmitting the
> update until adj is destroy by hello"  then tell me that the
> adjacency is
> not actually brought down by the lack off acks but by the lack of a
> hello.
> Is this correct?
>
> Is it mandatory for ALL updates to be ack?
>
> Is it that common to see implementations of OSPF tear down the adj after
> N
> number of retransmission for update or DBD packet? Do you know which
> vendors
> actually do this?
>
> Thank you!
>
>
> Kerpal
>
>
>
> -----Original Message-----
> From: Mailing List [mailto:[email-masked]]On Behalf Of Sina
> Mirtorabi
> Sent: Thursday, October 17, 2002 6:25 PM
> To: [email-masked]
> Subject: Re: OSPF Adjacencies
>
>
> Kerpal,
>
> > Hi All,
> >
> >   I am looking to understand what are the reason in which an OSPF
> > adjacency
> > may be torn down (aside from physical layer issues and
> > RouterDeadInterval).
> >
>
> those are actually the main one, receiving a 1 one way Hello also tear
> down
> an adj
>
>
> > More specific, would not receiving an acknowledgement for a LSU
> > result in an
> > adjacency to be torn down?
>
> some implementation tear down the adj after N number of retransmission
> for
> update or DBD packet
> RFC actually states that if ack is not received, retransmission will
> re-occur until adj is destroyed by Hello. mostly this condition would be
> enough for non-DC link but might not be in some very rare cases for
> example
> if Hello packet make it through and not the update ( say because of the
> packet size the packet gets corrupted on lower layer etc ) ....
>
>
> Sina
>
>
> >
> >
> > thanks
> >
> > Kerpal
>

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!

---

From: "Kerpal.Abdar" <[email-masked]>
Date: Thu, 17 Oct 2002 22:20:09 -0400

Thank you.  I understand that lack of hello's can cause a transition.  I was
more particularly conserned that about the lack off acks for a LSUpdate and
whether it could cause a change in state.

Kerpal

-----Original Message-----
From: Mailing List [mailto:[email-masked]]On Behalf Of Don
Goodspeed
Sent: Thursday, October 17, 2002 10:10 PM
To: [email-masked]
Subject: Re: OSPF Adjacencies

Kerpal,

-don

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Thu, 17 Oct 2002 21:38:30 -0700

Kerpal

<Snip>

> > not actually brought down by the lack off acks but by the lack of a

Yes - according to spec.

> > number of retransmission for update or DBD packet? Do you know which

It is not common, AFAIK the only implementation that does this is Cisco's
for over DC. Derek Yeung and I came up with this to solve problem of the
detection of neighbors that died over a DC circuit after being FULL.
This was later documented in a draft.

Padma